=== debian/changelog ===
latex2html (99.1-pre2-b6-dennou-1) frozen unstable; urgency=low

  * Added dennou.sty 

 -- Takehiro Shin-ichi <takepiro@gfd-dennou.org>  Thu,  7 Jun 2001 16:02:08 +0900

latex2html (99.1-pre2-b6-11) frozen unstable; urgency=low

  * Added missing dependency on netpbm to pull in pnmcrop. This fixes a
    grave bug. closes: Bug#63191

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Jun 2001 16:01:23 +0900

latex2html (99.1-pre2-b6-10) frozen unstable; urgency=low

  * Failed to config with old fileutils (3.16-5.3). Upgrading to a newer
    version of file ustils makes this work. The only change ahs been a
    dependency on the new fileutils version. This closes an important
    bug. closes: Bug#60739

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 21 Mar 2000 02:34:04 -0600

latex2html (99.1-pre2-b6-9) unstable; urgency=low

  * Fixed a typo in the description. closes: Bug#60046
  * Use absolute links when related links would not work, for the
    /usr/doc/latex2tml symlink.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 14 Mar 2000 14:08:06 -0600

latex2html (99.1-pre2-b6-8) frozen unstable; urgency=low

  * Add a README.Debian to the foilhtml files, so that people are aware of
    the problem with landsacpe mode. Since the foilhtml files are not
    installed by default, this should be enough for an interim solution. I
    have apprised upstream about this as well. This is in relation to
    Bug#58371 
  * Fixed an upgrade bug when /usr/doc happens to be a symlink, and does
    not point to /usr/share/doc. A couple of people were bitten by this.
  * Added a huge man page for LaTeX2HTML, based on the TeX
    documentation. Mentioned that man page may be out of date, end refer
    people to the canonical documentation. closes: Bug#58876

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  4 Mar 2000 01:54:06 -0600

latex2html (99.1-pre2-b6-7) frozen unstable; urgency=low

  * Make sure the documents were not included twice. closes: Bug#57668
  * It already fixes this bug. closes: Bug#57649

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Feb 2000 18:58:59 -0600

latex2html (99.1-pre2-b6-6) frozen unstable; urgency=low

  * Make sure texhash is run even when we purge, rather than just
    remove. This closes: Bug#57346
  * Allow package to allow gif creation (as long as the user has installed
    netpbm-nonfree). closes: Bug#57357

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Feb 2000 09:35:52 -0600

latex2html (99.1-pre2-b6-5) frozen unstable; urgency=low

  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug. 
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2000 19:34:00 -0600

latex2html (99.1-pre2-b6-4) frozen unstable; urgency=low

  * Buggy prerm did not remove the /usr/doc/latex2html symlink. This
    caused upgrades from recent versions to fail. closes: Bug#57127, Bug#56939
  * Made postinst not warn about cp

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Feb 2000 01:47:50 -0600

latex2html (99.1-pre2-b6-3) frozen unstable; urgency=low

  * Handle lone .dhelp files in dpc/latex2html/html as well. Also, correct
    and update invocation of cp. closes: Bug#57061

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  4 Feb 2000 23:09:14 -0600

latex2html (99.1-pre2-b6-2) frozen unstable; urgency=medium

  * Make sure the icons in /var/ww/usr/share/latex2html/icons/ are not
    removed when the package is removed (they are removed, though, when
    the package is purged). This is an important fix, since otherwise
    removing the package would break generated pages.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  2 Feb 2000 00:20:26 -0600

latex2html (99.1-pre2-b6-1) frozen unstable; urgency=low

  * A major bug fix release. I understand the bit about no new code, but
    this has been a major improvement since 99.1 (which was not a released
    version either).
  * Made sure that the old directory /var/www/usr/lib/latex2html is
    removed in the preinst, to make sure the symlink is created during
    install (else we were left with no symlink and an empty real dir) 
    closes: Bug#49746
  * Updated the new location of sources and the licence terms. This 
    closes: Bug#46114
  * Newer upstream fixed important bugs. closes: Bug#50653, Bug#45066, Bug#48658

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 29 Jan 2000 14:43:32 -0600

latex2html (99.1-3) unstable; urgency=low

  * Added a pointer to local copy of the documentation. closes: Bug#42017

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Aug 1999 02:42:44 -0500

latex2html (99.1-2) unstable; urgency=low

  * Moved partially to debian-policy 3.0.0 (no /usr/doc move yet)
  * Moved to the new perl policy. closes: Bug#41293

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Jul 1999 13:44:52 -0500

latex2html (99.1-1) unstable; urgency=low

  * The new upstream version has the newer url.sty (same version as in
    tetex-extra). closes: Bug#35957
  * Fixed location of HTML docs in the docbase and menu entry
    files. closes: BUG#35204
  * In potato, texmf has moved to /usr/share/texmf. Use that, and conflict
    with older tetex-base packages. This closes a grave bug. I shan't be
    moving from /usr/lib/latex2html until we adopt FHS, and decide to
    move.  closes: Bug#35837

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 May 1999 22:50:15 -0500

latex2html (98.1-pre2-b8-4) unstable; urgency=low

  * use the nopipes version of pstoimg, since that solves image generation
    problems for some people.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 Mar 1999 09:51:25 -0600

latex2html (98.1-pre2-b8-3) unstable; urgency=low

  * Added doc-base support


