=== debian/control ===
Source: latex2html
Section: tex
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.0.0.0

Package: latex2html
Architecture: all
Depends: perl5, pnmtopng, fileutils (>= 4.0), netpbm
Recommends: tetex-bin, gs
Suggests: giftrans, netpbm-nonfree
Conflicts: tetex-base (<< 0.9.990311-2)
Description: LaTeX to HTML translator.
 LaTeX2HTML is a conversion tool that that converts documents written
 in LaTeX to HTML format. In addition, it offers an easy migration
 path towards authoring complex hypermedia documents using familiar
 word-processing concepts. 
 .
 LaTeX2HTML replicates the basic structure of a LaTeX document as a
 set of interconnected HTML files which can be explored using
 automatically generated navigation panels. The cross-references,
 citations, footnotes, the table of contents and the lists of figures
 and tables, are also translated into hypertext links. Formatting
 information which has equivalent ``tags'' in HTML (lists, quotes,
 paragraph breaks, type styles, etc.) is also converted
 appropriately. The remaining heavily formatted items such as
 mathematical equations, pictures or tables are converted to images
 which are placed automatically at the correct positions in the final
 HTML document.
 .
 LaTeX2HTML extends LaTeX by supporting arbitrary hypertext links and
 symbolic cross-references between evolving remote documents. It also
 allows the specification of conditional text and the inclusion of raw
 HTML commands. These hypermedia extensions to LaTeX are available as
 new commands and environments from within a LaTeX document.
 .
 Pstoimg, the part of latex2html that produces bitmap images from the
 LaTeX source, can support both GIF and PNG format. The default is
 PNG.
 .
 Please note that there are certain legal limitations on the use of
 the GIF image format. Also, LaTeX2HTML would depend on netpbm-nonfree,
 which is in section non-free, if the default image style is changed to be 
 GIF.
 .
